=== modified file 'bin/ubiquity-dm'
--- bin/ubiquity-dm	2010-09-21 08:29:43 +0000
+++ bin/ubiquity-dm	2010-11-22 20:06:21 +0000
@@ -350,10 +350,12 @@
                 wm_cmd = ['xfwm4']
             elif osextras.find_on_path('matchbox-window-manager'):
                 wm_cmd = ['matchbox-window-manager']
+            elif osextras.find_on_path('openbox-lubuntu'):
+                wm_cmd = ['openbox-lubuntu']
             else:
                 raise MissingProgramError, \
                     ("No window manager found (tried metacity, xfwm4, "
-                     "matchbox-window-manager)")
+                     "matchbox-window-manager, openbox-lubuntu)")
             wm = subprocess.Popen(wm_cmd,
                 stdin=null, stdout=logfile, stderr=logfile,
                 **maybe_drop_privileges)
@@ -376,6 +378,12 @@
                     stdin=null, stdout=logfile, stderr=logfile,
                     **maybe_drop_privileges))
 
+            if osextras.find_on_path('lxsession'):
+                extras.append(subprocess.Popen(
+                    ['lxsession','-s','Lubuntu', '-e', 'LXDE', '-a'],
+                    stdin=null, stdout=logfile, stderr=logfile,
+                    **maybe_drop_privileges))
+
             if os.path.exists('/usr/lib/ubiquity/panel') and "xfwm4" not in wm_cmd:
                 extras.append(subprocess.Popen(
                     ['/usr/lib/ubiquity/panel'],

=== modified file 'debian/changelog'
--- debian/changelog	2010-11-17 11:07:48 +0000
+++ debian/changelog	2010-11-22 20:06:21 +0000
@@ -8,7 +8,12 @@
   * Expose the navigation control in the GTK frontend API.
     Thanks Ying-Chun Liu!
 
- -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Nov 2010 12:05:19 +0000
+  [ Julien Lavergne ]
+  * debian/ubiquity.ubiquity.upstart:
+   - Add lxdm support.
+  * Add support for openbox-lubuntu and lxsession for ubiquity-dm (LP: #546445)
+
+ -- Julien Lavergne <gilir@ubuntu.com>  Mon, 22 Nov 2010 19:45:30 +0100
 
 ubiquity (2.5.0) natty; urgency=low
 

=== modified file 'debian/ubiquity.ubiquity.upstart'
--- debian/ubiquity.ubiquity.upstart	2010-09-20 09:13:41 +0000
+++ debian/ubiquity.ubiquity.upstart	2010-11-22 20:06:21 +0000
@@ -10,11 +10,13 @@
 start on (starting gdm
 	  or starting kdm
 	  or starting xdm
+	  or starting lxdm
 	  or starting uxlaunch)
 stop on (runlevel [06]
 	 or stopping gdm
 	 or stopping kdm
 	 or stopping xdm
+	 or stopping lxdm
 	 or stopping uxlaunch)
 
 task

